RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1948374 - [virtio-win][virtio-fs] Hit error when deleting files/folders on shared dir(nfs mount)
Summary: [virtio-win][virtio-fs] Hit error when deleting files/folders on shared dir(n...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: virtio-win
Version: 9.0
Hardware: x86_64
OS: Windows
high
high
Target Milestone: rc
: 9.0
Assignee: Yvugenfi@redhat.com
QA Contact: xiagao
URL:
Whiteboard:
Depends On: 2018072
Blocks: 1948357 1978122
TreeView+ depends on / blocked
 
Reported: 2021-04-12 06:15 UTC by xiagao
Modified: 2022-08-16 12:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1978122 (view as bug list)
Environment:
Last Closed: 2022-08-16 12:23:07 UTC
Type: ---
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)

Description xiagao 2021-04-12 06:15:35 UTC
Description of problem:
Boot up a Win2019 vm with virtio fs shared dir(nfs backend),try to create/rename/delete file or folders on the file system, hit a couple of errors.

Version-Release number of selected component (if applicable):
qemu-kvm-5.2.0-11.el9.x86_64
kernel-5.11.0-2.el9.x86_64
virtio-win-prewhql-0.1-197

How reproducible:
100%

Steps to Reproduce:
1.mount a nfs dir on host.
(host)mount 10.66.8.151:/home/nfs  /home/nfs_c
(nfs conf) /home/nfs *(rw,sync,no_root_squash)

2.start virtiofs daemon with shared dir on nfs mount dir
# /usr/libexec/virtiofsd --socket-path=/tmp/vhostqemu1 -o source=/home/nfs_c/virtiofs_test/ -d

3.boot up vm with vhost-user-fs-pci device
-chardev socket,id=char0,path=/tmp/vhostqemu1 \
-device vhost-user-fs-pci,chardev=char0,tag=myfs_11,bus=pci.11,queue-size=1024 \
-m 4G \
-object memory-backend-file,id=mem,size=4G,mem-path=/dev/shm,share=on \
-numa node,memdev=mem \

4.install viofs driver,register virtiofs service and start it
C:\> sc create VirtioFsSvc binpath="(your binary location)\virtiofs.exe" start=auto 
depend="WinFsp.Launcher/VirtioFsDrv" DisplayName="Virtio FS Service"

c:\> sc start VirtioFsSv

5.create and rename a file/folder on the shared volume(Z:)

6.delete a file/folder

Actual results:
After step 5,
Failed with "The file xxx is too large for the destination file system."

After step 6, delete succeed, but a ".nfs0000000..." file is created after refresh the windows and can't create a file/folder any more.


Expected results:

Additional info:

Comment 1 xiagao 2021-04-13 06:15:31 UTC
Can reproduce this bug on RHEL8.4.0

kernel-4.18.0-302.el8.x86_64
qemu-kvm-5.2.0-14.module+el8.4.0+10425+ad586fa5.x86_64
seabios-bin-1.14.0-1.module+el8.4.0+8855+a9e237a9.noarch

Comment 2 xiagao 2021-06-23 01:34:39 UTC
Could you set DTM as it was set ITR to 8.5.0?

Thanks.

Comment 3 xiagao 2021-07-14 06:41:29 UTC
Hit error like https://bugzilla.redhat.com/show_bug.cgi?id=1978122#c3.

Comment 4 Gal Hammer 2021-08-03 07:20:23 UTC
Postpone to 8.6 for now as full resolution might requires changes in the virtiofsd as well.

Comment 7 Viktor Prutyanov 2022-01-17 20:55:06 UTC
This PR https://github.com/virtio-win/kvm-guest-drivers-windows/pull/688 should fix the bug.

Comment 9 xiagao 2022-02-17 03:47:51 UTC
Can reproduce with virtio-win-prewhql-0.1-215.
Verify with virtio-win-prewhql-0.1-216.

pkg:
qemu-kvm-6.2.0-7.el9.x86_64
kernel-5.14.0-56.el9.x86_64
RHEL-9.0.0-20220210.0

Comment 10 xiagao 2022-03-25 03:42:34 UTC
(In reply to xiagao from comment #9)
> Can reproduce with virtio-win-prewhql-0.1-215.
> Verify with virtio-win-prewhql-0.1-216.
> 
> pkg:
> qemu-kvm-6.2.0-7.el9.x86_64
> kernel-5.14.0-56.el9.x86_64
> RHEL-9.0.0-20220210.0

Reproduce steps:
In the mounted directory.
1. create a 1k txt file.
2. delete it.
-----> a ".nfs0000000..." file is created after refresh the windows

Verify steps:
1. create a 1k txt fiel and  a 29k file and rename them.
2. delete them and refresh "z:\"
-----> there is no  ".nfs0000000..."


Note You need to log in before you can comment on or make changes to this bug.